## org.biojava.bio.seq.io.game
Class GAMEMapPosPropHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.seq.io.game.StAXPropertyHandler
              org.biojava.bio.seq.io.game.GAMEMapPosPropHandler

All Implemented Interfaces:
  StAXContentHandler

public class GAMEMapPosPropHandler
extends StAXPropertyHandler

Handles the GAME <map_position> element Currently, it just ignores it!

Since:
  1.8
Author:
  David Huen

Field Summary
`static StAXHandlerFactory` `GAME_MAP_POS_PROP_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.seq.io.game.StAXPropertyHandler
`featureListener, staxenv`

Method Summary
`void` `startElementHandler(java.lang.String nsURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attrs)` Element-specific handler.

Methods inherited from class org.biojava.bio.seq.io.game.StAXPropertyHandler
`addHandler, endElement, endElementHandler, getHandlerStackIterator, setHandlerCharacteristics, startElement`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GAME_MAP_POS_PROP_HANDLER_FACTORY

    public static final StAXHandlerFactory GAME_MAP_POS_PROP_HANDLER_FACTORY

Method Detail

### startElementHandler

    public void startElementHandler(java.lang.String nsURI,
                                    java.lang.String localName,
                                    java.lang.String qName,
                                    org.xml.sax.Attributes attrs)
                             throws org.xml.sax.SAXException

  Description copied from class: `StAXPropertyHandler`
  Element-specific handler. Subclass this to do something useful!

  Overrides:
    `startElementHandler` in class `StAXPropertyHandler`
  Throws:
    `org.xml.sax.SAXException`